# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'active_monitor/version'

Gem::Specification.new do |s|
  s.platform    = Gem::Platform::RUBY  
  s.name        = 'activemonitor'
  s.version     = ActiveMonitor::VERSION
  s.summary     = 'External monitoring and alerting for Rails applications.'
  s.description = 'Monitor application status and health in a sane way Rails-y.'

  s.required_ruby_version = '>= 1.9.3'

  s.license     = 'MIT'

  s.authors     = ['Bob Breznak']
  s.email       = ['bob.breznak@gmail.com']
  s.homepage    = 'https://github.com/bobbrez/activemonitor'

  s.files         = `git ls-files -z`.split("\x0")
  s.require_paths = ['lib']
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})

  s.add_development_dependency 'bundler', '~> 1.7'
  s.add_development_dependency 'rake', '~> 10.0'
  
  s.add_development_dependency 'simplecov', '~> 0.9.1'
  s.add_development_dependency 'coveralls', '~> 0.9.1'
  
  s.add_development_dependency 'pry', '~> 0.10.0'
  s.add_development_dependency 'pry-byebug', '~> 1.3.3'

  s.add_dependency 'activesupport', '>= 4.0.0'  
end
